Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pix.source
Class PixMsgMergePatient

    java.lang.Object
      org.eclipse.ohf.hl7v2.core.utilities.Worker
          org.eclipse.ohf.hl7v2.core.message.model.Node
              org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
                  org.eclipse.ohf.hl7v2.core.message.model.Message
                      org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
                          org.eclipse.ohf.ihe.pix.source.PixMsgADT
                              org.eclipse.ohf.ihe.pix.source.PixMsgMergePatient

All Implemented Interfaces:
  HL7_Constants

    public class PixMsgMergePatient

extends PixMsgADT

ADT_A40 Merge Patient Internal ID

Author:
  Sondra Renly

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.pix.source.PixMsgADT
`MSH_9_1_PIXS, MSH_9_2_PIXS_A01, MSH_9_2_PIXS_A04, MSH_9_2_PIXS_A05, MSH_9_2_PIXS_A08, MSH_9_2_PIXS_A40, MSH_9_3_PIXS, MSH_9_3_PIXS_A05, MSH_9_3_PIXS_A40`

Fields inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`MODE_TYPE_SEGMENT, NODE_TYPE_COMPONENT, NODE_TYPE_FIELD, NODE_TYPE_LIST, NODE_TYPE_MESSAGE, NODE_TYPE_SUBCOMPONENT`

Fields inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`hecAccepted, hecApplicationError, hecBadField, hecBadMessage, hecBadSegCode, hecConformance, hecDataTypeError, hecDefinitionError, hecDuplicateKey, hecDuplicateMsgId, hecHL7LibraryError, hecInternalError, hecNoDefinitions, hecNoTableValue, hecRecordLocked, hecRequiredField, hecRequiredSeg, hecSequenceError, hecSuperfluousSeg, hecUnknownKey, hecUnsEvntCode, hecUnsMsgType, hecUnsProcID, hecUnsVersion, hecValidationFailed, hecXML`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.message.HL7_Constants
`DSC, DSC_1, DSC_2, ERR, EVN, EVN_2_1, MRG, MRG_1_1, MRG_1_4_1, MRG_1_4_2, MRG_1_4_3, MSA, MSH, MSH_10, MSH_11_1, MSH_11_1_PRODUCTION, MSH_12, MSH_18_1, MSH_18_1_ASCII, MSH_3_1, MSH_3_1_DEFAULT, MSH_3_2, MSH_3_3, MSH_4_1, MSH_4_1_DEFAULT, MSH_4_2, MSH_4_3, MSH_5_1, MSH_5_1_DEFAULT, MSH_5_2, MSH_5_3, MSH_6_1, MSH_6_1_DEFAULT, MSH_6_2, MSH_6_3, MSH_7, PD1, PID, PID_11_1, PID_11_10, PID_11_2, PID_11_3, PID_11_4, PID_11_5, PID_11_6, PID_11_7, PID_11_8, PID_11_9, PID_13_1, PID_14_1, PID_18_1, PID_18_4_1, PID_18_4_2, PID_18_4_3, PID_3_1, PID_3_4_1, PID_3_4_1_DEFAULT, PID_3_4_2, PID_3_4_2_DEFAULT, PID_3_4_3, PID_3_4_3_DEFAULT, PID_5_1, PID_5_2, PID_5_3, PID_5_4, PID_5_5, PID_5_6, PID_7_1, PID_8, PV1, PV1_2, PV1_2_INPATIENT, PV1_2_OUTPATIENT, QAK, QPD, QPD_1_1, QPD_1_2, QPD_1_3, QPD_1_4, QPD_1_5, QPD_1_6, QPD_2, QPD_3_1, QPD_3_4_1, QPD_3_4_2, QPD_3_4_3, QPD_8_4_1, QPD_8_4_2, QPD_8_4_3, RCP, RCP_1, RCP_1_IMMEDIATE, RCP_2_1, RCP_2_2_1, RCP_2_2_1_RECORDS`

Constructor Summary
`PixMsgMergePatient(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory, org.eclipse.ohf.hl7v2.core.conformance.model.CPConformanceProfile cpProfile, java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType, java.lang.String patientClass, java.lang.String priorPatientId)` Create ADT_A40 Merge Patient

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.pix.source.PixMsgADT
`addOptionalPatientAccountNumberId, addOptionalPatientAddressCensusTract, addOptionalPatientAddressCity, addOptionalPatientAddressCountry, addOptionalPatientAddressCountyParishCode, addOptionalPatientAddressOtherDesignation, addOptionalPatientAddressOtherGeographicDesignation, addOptionalPatientAddressStateOrProvince, addOptionalPatientAddressStreetAddress, addOptionalPatientAddressType, addOptionalPatientAddressZipOrPostalCode, addOptionalPatientDateOfBirth, addOptionalPatientId, addOptionalPatientNameDegree, addOptionalPatientNameFamilyName, addOptionalPatientNameGivenName, addOptionalPatientNameOtherName, addOptionalPatientNamePrefix, addOptionalPatientNameSuffix, addOptionalPatientPhoneBusinessUnformattedTelephoneNumber, addOptionalPatientPhoneHomeUnformattedTelephoneNumber, addOptionalPatientSex`

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
`changeDefaultCharacterSet, changeDefaultControlId, changeDefaultProcessEnvironment, changeDefaultReceivingApplication, changeDefaultRecievingFacility, changeDefaultSendingApplication, changeDefaultSendingFacility, getCharacterSet, getMessageControlID, getProcessEnvironment, getReceivingApplication, getReceivingFacility, getSendingApplication, getSendingFacility, setField, setNonNullElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Message
`addMSHFromFields, addMSHFromFields, bindToMSH, clear, clearContent, elementName, equals, forceElement, getDefaultFormat, getDelimiters, getElement, getEvent, getMessageId, getMessageType, getSegments, getStructId, getStructure, hasStructId, resolveVariableTypes, setDefaultFormat, setDelimiters, setEvent, setMessageId, setMessageType, setStructId, testIsElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
`getDefinitions, getVersion, getVersionDefinition, setDefinitions, setVersion`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`getOwner, hasOwner, isElement, setOwner`

Methods inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`condition`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixMsgMergePatient

    public PixMsgMergePatient(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory,
                              org.eclipse.ohf.hl7v2.core.conformance.model.CPConformanceProfile cpProfile,
                              java.lang.String patientId,
                              java.lang.String namespaceId,
                              java.lang.String universalId,
                              java.lang.String universalIdType,
                              java.lang.String patientClass,
                              java.lang.String priorPatientId)
                       throws PixSourceException

  Create ADT_A40 Merge Patient

  Parameters:
    `globalFactory` - - message manager from hl7v2.core
    `cpProfile` - - conformance profile for validation
    `patientId` - - patient Id
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
    `patientClass` - - patient's class (I inpatient, O outpatient, E emergency, ...)
    `priorPatientId` - - patient's Id to merge with same assigningAuthority as patient
  Throws:
    `PixSourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD